<div *ngIf="showResult&&callback.type=='M'">
    <div class="row w-100">
        <div class="col-md-12">
            <div class="test-title pt-0 mt-0 pb-2"></div>
            <img src="assets/img/Summary.svg" class="test-head ml-0">
            <span class="v-middle f-20 fw-700">Net Lift {{callback.name}}</span>
        </div>
        <div class="col-md-12">
            <div class="row">
                <div *ngFor="let net_lift of net_lift_data; let i = index" class="col-md-4"
                    [ngClass]="{'demo': selected_value.net_lift_index == i}" (click)="changeSummaryData(i)">
                    <div class="pl-4 pr-0 test-shadow test-padding test-border active-test-card">
                        <p class="test-label" *ngIf="net_lift.stat_data[view_filter.confidence_per].significance">
                            Statistically Significant
                        </p>
                        <div class="box-content">
                            <p class="form-label label-text-customl fw-700 f-24 gray">{{net_lift.display_name}}</p>
                            <h3 style="text-align: center;display: flex;font-size:30px;margin-top:10px;line-height: 30px;"
                                class="text-large mb-1"><span class="f-28 black fw-700">
                                    <span *ngIf="view_filter.current_view == '$'">{{net_lift.format.currencySymbol}}{{net_lift.netlift|number}}</span>
                                    <span *ngIf="view_filter.current_view == '%'">{{net_lift.netlift_per|number}} %</span>
                                    <i *ngIf="net_lift.netlift<0" class="fas fa-caret-down down"
                                        style="float:right;display: flex;justify-content: center;margin-left:10px;"></i>
                                    <i *ngIf="net_lift.netlift>0" class="fas fa-caret-up up"
                                        style="float:right;display: flex;justify-content: center;margin-left:10px;"></i></span>
                            </h3>
                            <p class="test-label1">P Value : {{net_lift.probability|number}}</p>
                        </div>
                    </div>
                    <div class="triangle-outer">
                        <span class="triangle-down"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row w-100 pt-3 mb-4">
        <div class="col-md-12">
            <div class="test-shadow test-border">
                <div class="card-header with-elements pr-0 p-0 pt-3"  *ngIf="selected_value.net_lift_data.display_name.length > 0; else noRecordResult" >
                    <div class="test-title gray ml-3">
                        {{selected_value.net_lift_data.display_name}}
                    </div>
                    <div class="pd-toggle-3" style="position: absolute;right:3%;">
                        <button type="button" class="btn  "
                            [ngClass]="{'btn-secondary' : selected_value.view_mode == 'line'}" placement="top"
                            ngbTooltip="Line Chart" (click)="buildLineChart()"><i
                                class="d-block fas fa-chart-line"></i></button>
                        <button type="button" class="btn  "
                            [ngClass]="{'btn-secondary' : selected_value.view_mode == 'graph'}" placement="top"
                            ngbTooltip="Waterfall Chart" (click)="buildWaterChart()"> <i
                                class="d-block far fa-chart-bar"></i></button>
                        <button type="button" class="btn  "
                            [ngClass]="{'btn-secondary' : selected_value.view_mode == 'table'}" placement="top"
                            ngbTooltip="Table" (click)="buildPivotTable()"><i class="d-block fas fa-table"></i></button>
                    </div>
                </div>
              <div [ngClass]= "selected_value.net_lift_data.display_name.length > 0 ? 'pt-4' : 'p-0'">
                <fm-pivot [hidden]="selected_value.view_mode!='table'" id='net_lift_table' #net_lift_table
                [toolbar]="false" [width]="'100%'" [height]="400" [global]=global
                [customizeCell]="customizeCellFunction.bind(this)"
                [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'">
            </fm-pivot>
            <div [hidden]="selected_value.view_mode!='graph'" id="{{callback.id+'net_lift_graph'}}"
            [ngClass]= "selected_value.net_lift_data.display_name.length > 0 ? 'height: 400px;padding-bottom:10px;' : 'd-none'"
                style="margin-left: auto; margin-right: auto; overflow: hidden; padding-left: 20px; padding-right: 20px;">
            </div>
            <div [hidden]="selected_value.view_mode!='line'" id="{{callback.id+'net_lift_line'}}"
            [ngClass]= "selected_value.net_lift_data.display_name.length > 0 ? 'height: 400px;padding-bottom:10px;' : 'd-none'"
                style="margin-left: auto; margin-right: auto; overflow: hidden; padding-left: 20px; padding-right: 20px;">
            </div>
              </div>
            </div>
        </div>
    </div>
</div>

<div *ngIf="showResult&&callback.type=='D'">
<div class="row pt-4 mb-4 w-100">
    <div class="col-md-12"> <img src='assets/img/Clock.svg' class="test-head ml-0" />
        <span class="v-middle f-20 fw-700">Net Lift by {{callback.name}}</span>
    </div>
    <div class="col-lg-6 col-md-12 w-100">
        <div *ngIf="selected_value.net_lift_data.display_name.length > 0; else noRecordResult">
        <div *ngIf="view_filter.current_view == '$'" class="w-100">
            <div class="card cardPanel ">
                <div class="row m-0">
                    <div class="col-md-12 pr-0">
                        <table border="0" class="data h-456 px-20" [perfectScrollbar]>
                            <thead class="t-thead">
                                <tr class="head">
                                    <th class="wd-25">Stat. Sig.</th>
                                    <th class="wd-50">{{callback.name}}</th>
                                    <th class="wd-50">Net Lift ($)</th>
                                    <th class="wd-10">P Value</th>
                                </tr>
                            </thead>
                            <tbody class="test-tbody">
                                <tr *ngFor="let net_lift of net_lift_data; let i = index" class="rowdata"
                                    (click)="changeSummaryData(i)"
                                    [ngClass]="{'active': selected_value.net_lift_index == i}">
                                    <td class="wd-25"><span class="inactive"
                                            [ngClass]="{'square' : net_lift.stat_data[view_filter.confidence_per].significance}"></span>
                                    </td>
                                    <td class="wd-50">{{net_lift.name}}</td>
                                    <td class="wd-50">${{net_lift.netlift|number}}
                                        <i *ngIf="net_lift.netlift<0" class="fas fa-caret-down down"
                                            style="justify-content: center;margin-left:10px;"></i>
                                        <i *ngIf="net_lift.netlift>0" class="fas fa-caret-up up"
                                            style="justify-content: center;margin-left:10px;"></i>
                                    </td>
                                    <td class="wd-10">{{net_lift.probability|number}}
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

        </div>
        <div *ngIf="view_filter.current_view == '%'" class="w-100" >
            <div class="card cardPanel ">
                <div class="row m-0">
                    <div class="col-md-12">
                        <table border="0" class="data h-456 px-20" [perfectScrollbar]>
                            <thead class="t-thead">
                                <tr class="head">
                                    <th class="wd-25">Stat. Sig.</th>
                                    <th class="wd-50">{{callback.name}}</th>
                                    <th class="wd-50">Net Lift (%)</th>
                                    <th class="wd-10">P Value</th>
                                </tr>
                            </thead>
                            <tbody class="test-tbody">
                                <tr *ngFor="let net_lift of net_lift_data; let i = index" class="rowdata" (click)="changeSummaryData(i)"
                                    [ngClass]="{'active': selected_value.net_lift_index == i}">
                                    <td class="wd-25"><span class="inactive"
                                            [ngClass]="{'square' : net_lift.stat_data[view_filter.confidence_per].significance}"></span>
                                    </td>
                                    <td class="wd-50">{{net_lift.name}}</td>
                                    <td class="wd-50">{{net_lift.netlift_per|number}}%
                                        <i *ngIf="net_lift.netlift<0" class="fas fa-caret-down down"
                                            style="justify-content: center;margin-left:10px;"></i>
                                        <i *ngIf="net_lift.netlift>0" class="fas fa-caret-up up"
                                            style="justify-content: center;margin-left:10px;"></i>
                                    </td>
                                    <td class="wd-10">{{net_lift.probability|number}}
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </div>


    <div class="col-lg-6 col-md-12">
        <div class="test-border test-shadow ipad-res-mt-10 " >
            <div class="card-header with-elements pr-0 p-0 pt-3" *ngIf="selected_value.net_lift_data.display_name.length > 0; else noRecordResult">
                <div class="test-title gray ml-3">
                    {{selected_value.net_lift_data.name}}
                </div>
                <div class="pd-toggle-3" style="position: absolute;right:3%;">
                    <button type="button" class="btn  "
                        [ngClass]="{'btn-secondary' : selected_value.view_mode == 'line'}" placement="top" ngbTooltip="Line Chart"
                        (click)="buildLineChart()"><i class="d-block fas fa-chart-line"></i></button>
                    <button type="button" class="btn  "
                        [ngClass]="{'btn-secondary' : selected_value.view_mode == 'graph'}" placement="top" ngbTooltip="Waterfall Chart"
                        (click)="buildWaterChart()"> <i class="d-block far fa-chart-bar"></i></button>
                    <button type="button" class="btn  "
                        [ngClass]="{'btn-secondary' : selected_value.view_mode == 'table'}" placement="top" ngbTooltip="Table"
                        (click)="buildPivotTable()"><i class="d-block fas fa-table"></i></button>
                </div>
            </div>
          <div  [ngClass]= "selected_value.net_lift_data.display_name.length > 0 ? 'pt-4' : 'p-0'" >
            <fm-pivot [hidden]="selected_value.view_mode!='table'" id='net_lift_table' #net_lift_table [toolbar]="false"
            [width]="'100%'" [height]="400" [global]=global [customizeCell]="customizeCellFunction.bind(this)"
            [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'">
        </fm-pivot>
        <div [hidden]="selected_value.view_mode!='graph'" id="{{callback.id+'net_lift_graph'}}"
        [ngClass]= "selected_value.net_lift_data.display_name.length > 0 ? 'height: 400px;padding-bottom:10px;' : 'd-none'"
            style="margin-left: auto; margin-right: auto; overflow: hidden; padding-left: 20px; padding-right: 20px;">
        </div>
        <div [hidden]="selected_value.view_mode!='line'" id="{{callback.id+'net_lift_line'}}"
         [ngClass]= "selected_value.net_lift_data.display_name.length > 0 ? 'height: 400px;padding-bottom:10px;' : 'd-none'"
            style="margin-left: auto; margin-right: auto; overflow: hidden; padding-left: 20px; padding-right: 20px;">
        </div>
        <!-- <div *ngIf="selected_value.net_lift_data.display_name.length > 0; else noRecordResult"></div> -->
          </div>
        </div>
    </div>

</div>
</div>

<ng-template #noRecordResult>
    <div style="text-align: center;padding-top: 190px;height:400px;box-shadow:2px 2px 10px 0 rgba(192, 189, 189, 0.5);
    border-radius:10px;border:1px solid #f1f1f2;" >
    Sorry, No Results Found.
</div>
</ng-template>